Technorati Rank WordPress Plugin Versiunea 2 lansat!

Fierbinte după primul plugin Technorati Rank, am reproiectat conținutul de ieșire pentru a-l face CSS condus (mai jos este o captură de ecran, puteți interacționa cu cea din bara laterală a site-ului meu):

Technorati Rank WordPress Plugin Versiunea 2

Acesta a fost destul de dificil de produs, dar rezultatul este mult mai plăcut. În primul rând, am folosit ceea ce am învățat Bittbox pentru a crea fiecare dintre butoanele de ieșire de pe imagine în Illustrator.

Următorul pas a fost utilizarea stilurilor pentru a construi de fapt cineva dintr-un harta imaginii cu excepția faptului că există de fapt nici o hartă! De fapt, este destul de mișto. Puteți seta fundalul div general și apoi puteți crea fiecare „hotspot” utilizând poziționarea absolută și CSS. Vizualizați CSS de ieșire.

Am adăugat și un link către noul Technorati WTF pagină și adresa RSS a site-ului. Sper că îți place! Cred că este o îmbunătățire vastă față de prima versiune! Există un i link din dreapta jos, care promovează și pluginul.

Actual Technorati Rank WordPress Plugin Versiunea 2.0.4

4 Comentarii

  1. 1
  2. 3

    Am încercat să instalez cele mai noi și mai bune urmând instrucțiunile dvs. către „scrisoare” 🙂

    dar am primit următoarea eroare

    Eroare fatală: Nu se poate instanția clasa inexistentă: element simplexml în /home/winex4/public_html/wp-content/plugins/technorati-rank/technorati-rank.php pe linia 64

    orice sugestii?

    • 4
      • 5

        asta mă va învăța să verific mai întâi .. se pare că Lunarpages rulează 4.4.4 din PHP

        Bănuiesc că va trebui să verific cealaltă versiune sau să rămân dificil și să văd dacă se actualizează la 5.0

        • 6

          Sper că vor face! Dar sper, de asemenea, ca gazda dvs. să fie actualizată. PHP5 aduce cu adevărat câteva îmbunătățiri de performanță mult mai bune, precum și câteva instrumente mai bune pentru consumul API-urilor. Utilizez Jumpline, veți vedea un link în lista mea de sponsori pe pagina mea de pornire. De asemenea, cred că Dotster are o bună găzduire VDS cu cele mai recente și mai bune.

      • 7

        Doug,
        Am aceeași problemă
        Mi-am sunat gazda și mi-au spus că serverul meu are PHP 4 și PHP 5, dar dacă vreau să rulez un fișier folosind PHP 5, scriptul trebuie să aibă extensia de fișier .php5.

        Deci ... Am schimbat extensiile de fișiere și acesta dispare din pluginurile din wordpress.

        Vreo idee?

  3. 10

    Plugin minunat, stil excelent! Mulțumesc Doug și multă muncă. Nici măcar nu am știut de prima, dar asta merge în bara mea laterală imediat.

    Este cu adevărat recompensant să văd că sfaturile mele din Illustrator v-au ajutat să creați butoanele dvs.

    multumesc din nou,

    ~ BittBox

    • 11

      Mulțumesc, BittBox! Cred că am un ochi bun pentru stil, dar nu par să-l înțeleg niciodată de cele mai multe ori. Posibilitatea de a descărca eșantioanele și de a le diseca este ceea ce face diferența. Acum pot executa aceste idei. 🙂

      Urmează câteva gânduri despre antetul și fundalul blogului meu.

  4. 12

    Ei bine, Doug, se pare că pluginul versiunea 2 mă urăște. Primesc mesaje de eroare:

    Warning: fopen(/technorati-rank.html) [function.fopen]: failed to open stream: Permission denied in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 121
    Warning: fwrite(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 122
    Warning: fclose(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 123

    În ciuda mesajelor de eroare, arată și rangul meu Technorati (~ 26.5k: D). Nu sunt suficient de informat despre PHP pentru a ști de ce plânge peste acel fișier.
    În mod interesant, pe serverul nostru, folosim SuPHP, deci totul funcționează ca noi (deci cerințele chmod nu mai necesită fișiere care pot fi scrise în întreaga lume, iar scripturile php nu se vor executa dacă chmod este prea mare, de exemplu).

    Toate php-urile pentru acest subdomeniu rulează ca php5.

    Orice idei?

    • 13

      Aveți un director wp-content / cache Xial? M-am gândit că ar fi o idee bună să folosim același director cache ca și WP-Cache. În retrospectivă, poate că nu a fost o idee bună! Această linie este cu siguranță să scrieți în fișierul cache.

      • 14

        Cu siguranță, Doug. Rulez WP-Cache de ceva vreme. 🙂

        Și eu am fost puțin curios de motivul pentru care s-ar plânge de acest lucru, deoarece am directorul necesar, dar cred că este cu totul altceva.

      • 15

        Informații interesante de adăugat:

        $ pwd
        /..../wp-content/cache
        $ ls -l tech*
        -rw-r--r-- 1 meeeeeeee meeeeeeee 1.1K Mar 12 11:47 technorati-rank.html

        Încă returnează erorile.

    • 16

      Vreau doar să participați la aceeași eroare. Site-ul rulează php5 și se afișează butonul.
      Am încercat să comentez liniile 121-123, iar mufa funcționează bine. Îl pot pune în direct sau lipsa acestor linii va cauza probleme pe termen lung?

  5. 17

    Primesc aceleași erori ca mai sus, de asemenea, am crezut că este direcția mea cache, dar am una și, de asemenea, m-am asigurat că drepturile de scriere sunt corecte.
    În bara laterală va afișa pluginul (cu rang), dar cu acele erori deasupra acestuia.

    • 18

      Hi Richard,

      Puteți verifica dacă aveți PHP versiunea 5+ și CURL este activat? Puteți face acest lucru construind o pagină pe site-ul dvs. cu <?php phpinfo(); ?> într-o pagină. Apoi deschideți acea pagină. Partea de sus a paginii va avea versiunea dvs. de PHP și puteți căuta CURL pentru a vă asigura că este activat.

      Multumesc!
      Doug

      • 19

        Ei bine, Doug, mi-am verificat de două ori versiunea PHP.
        Execut PHP5 și cURL este compilat în (una dintre cele trei solicitări obișnuite către gazda mea, pentru ca lucrurile să fie compilate în PHP).

        Toate celelalte funcționează bine, dar nu sunt pe deplin sigur de ce acest plugin se sufocă, cu excepția cazului în care este versiunea de cURL compilată în PHP (Suntem la 7.15.4 și cel mai recent pare a fi 7.16.1). Cu toate acestea, nu vreau să-mi deranjez gazda pentru a compila din nou php5 doar pentru asta, dacă pot să o ajut. <: 3

        • 20

          O să arunc o privire mai profundă în acest weekend. Funcționează fără probleme pe câteva site-uri - deci este unul dintre cele 3 lucruri: 1. Cache, 2. cURL sau 3. Versiune PHP.

          Pot folosi funcționalitatea PHP 4 mai veche pentru a extrage și analiza XML, dar poate încetini destul de puțin - voi testa acest weekend. Apreciez toate contribuțiile. "Houston avem o problema!".

  6. 21

    Doar o notă: Technorati a lansat un Autoritate Conecteaza.

    De asemenea - pentru toți cei care au probleme cu acest plugin, aș încuraja cu adevărat să vă mutați la o nouă gazdă :). Am o ofertă gratuită de 12 luni cu gazda mea în partea de jos a mea Despre .

  7. 22
  8. 23

    Am primit destul de multe solicitări că au apărut erori la scrierea sau citirea din fișierul cache. De fapt, am identificat o problemă în care împingeam și trageam fișierul cache în directorul rădăcină. Am modificat versiunea 2.0.4 astfel încât să scrie într-un subdirector cache în directorul pluginului.

    Vă rog să-mi spuneți cum funcționează! (Mai are nevoie de SimpleXML și cURL!)

Ce părere ai?

Acest site folosește Akismet pentru a reduce spamul. Aflați cum sunt procesate datele despre comentarii.